com.oracle.truffle.api.impl

## Class DefaultLoopNode

- java.lang.Object
- - com.oracle.truffle.api.nodes.Node
  - - com.oracle.truffle.api.nodes.LoopNode
    - - com.oracle.truffle.api.impl.DefaultLoopNode

All Implemented Interfaces:
  NodeInterface, java.lang.Cloneable

    public final class DefaultLoopNode
    extends LoopNode

### Nested Class Summary

### Nested classes/interfaces inherited from class com.oracle.truffle.api.nodes.Node

`Node.Child, Node.Children`

### Field Summary

### Fields inherited from class com.oracle.truffle.api.nodes.LoopNode

`repeatingNode`

### Constructor Summary

Constructors
Constructor and Description
`DefaultLoopNode(RepeatingNode repeatNode)`

### Method Summary

Methods
`void` `executeLoop(VirtualFrame frame)`

### Methods inherited from class com.oracle.truffle.api.nodes.LoopNode

`executeRepeatingNode, getRepeatingNode`

### Methods inherited from class com.oracle.truffle.api.nodes.Node

`accept, adoptChildren, assignSourceSection, atomic, atomic, clearSourceSection, clone, copy, getChildren, getCost, getDebugProperties, getDescription, getEncapsulatingSourceSection, getLanguage, getParent, getRootNode, getSourceSection, insert, insert, isReplaceable, onAdopt, onReplace, replace, replace, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultLoopNode

    public DefaultLoopNode(RepeatingNode repeatNode)

### Method Detail

#### executeLoop

    public void executeLoop(VirtualFrame frame)

Specified by:
  `executeLoop` in class `LoopNode`